[ALSA-2024:3670] ruby:3.3 security, bug fix, and enhancement update

Severity Moderate
Affected Packages 52
CVEs 3

ruby:3.3 security, bug fix, and enhancement update

Ruby is an extensible, interpreted, object-oriented, scripting language. It has features to process text files and to perform system management tasks.

The following packages have been upgraded to a later upstream version: ruby (3.3). (AlmaLinux-37446)

Security Fix(es):

  • ruby: Buffer overread vulnerability in StringIO (CVE-2024-27280)
  • ruby: RCE vulnerability with .rdoc_options in RDoc (CVE-2024-27281)
  • ruby: Arbitrary memory address read vulnerability with Regex search (CVE-2024-27282)

For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Package Affected Version
pkg:rpm/almalinux/rubygems?arch=noarch&distro=almalinux-8.1 < 3.5.9-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygems-devel?arch=noarch&distro=almalinux-8.1 < 3.5.9-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-typeprof?arch=noarch&distro=almalinux-8.1 < 0.21.9-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-test-unit?arch=noarch&distro=almalinux-8.1 < 3.6.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-rss?arch=noarch&distro=almalinux-8.1 < 0.3.0-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-rexml?arch=noarch&distro=almalinux-8.1 < 3.2.6-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-rdoc?arch=noarch&distro=almalinux-8.1 < 6.6.3.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-rbs?arch=x86_64&distro=almalinux-8.1 < 3.4.0-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-rbs?arch=i686&distro=almalinux-8.1 < 3.4.0-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-rbs?arch=aarch64&distro=almalinux-8.1 < 3.4.0-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-rake?arch=noarch&distro=almalinux-8.1 < 13.1.0-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-racc?arch=x86_64&distro=almalinux-8.1 < 1.7.3-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-racc?arch=i686&distro=almalinux-8.1 < 1.7.3-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-racc?arch=aarch64&distro=almalinux-8.1 < 1.7.3-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-psych?arch=x86_64&distro=almalinux-8.1 < 5.1.2-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-psych?arch=i686&distro=almalinux-8.1 < 5.1.2-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-psych?arch=aarch64&distro=almalinux-8.1 < 5.1.2-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-power_assert?arch=noarch&distro=almalinux-8.1 < 2.0.3-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-pg?arch=x86_64&distro=almalinux-8.1 < 1.5.4-1.module_el8.10.0+3799+191214cc
pkg:rpm/almalinux/rubygem-pg?arch=aarch64&distro=almalinux-8.1 < 1.5.4-1.module_el8.10.0+3799+191214cc
pkg:rpm/almalinux/rubygem-pg-doc?arch=noarch&distro=almalinux-8.1 < 1.5.4-1.module_el8.10.0+3799+191214cc
pkg:rpm/almalinux/rubygem-mysql2?arch=x86_64&distro=almalinux-8.1 < 0.5.5-1.module_el8.10.0+3799+191214cc
pkg:rpm/almalinux/rubygem-mysql2?arch=aarch64&distro=almalinux-8.1 < 0.5.5-1.module_el8.10.0+3799+191214cc
pkg:rpm/almalinux/rubygem-mysql2-doc?arch=noarch&distro=almalinux-8.1 < 0.5.5-1.module_el8.10.0+3799+191214cc
pkg:rpm/almalinux/rubygem-minitest?arch=noarch&distro=almalinux-8.1 < 5.20.0-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-json?arch=x86_64&distro=almalinux-8.1 < 2.7.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-json?arch=i686&distro=almalinux-8.1 < 2.7.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-json?arch=aarch64&distro=almalinux-8.1 < 2.7.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-irb?arch=noarch&distro=almalinux-8.1 < 1.11.0-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-io-console?arch=x86_64&distro=almalinux-8.1 < 0.7.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-io-console?arch=i686&distro=almalinux-8.1 < 0.7.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-io-console?arch=aarch64&distro=almalinux-8.1 < 0.7.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-bundler?arch=noarch&distro=almalinux-8.1 < 2.5.9-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-bigdecimal?arch=x86_64&distro=almalinux-8.1 < 3.1.5-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-bigdecimal?arch=i686&distro=almalinux-8.1 < 3.1.5-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-bigdecimal?arch=aarch64&distro=almalinux-8.1 < 3.1.5-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/rubygem-abrt?arch=noarch&distro=almalinux-8.1 < 0.4.0-1.module_el8.10.0+3799+191214cc
pkg:rpm/almalinux/rubygem-abrt-doc?arch=noarch&distro=almalinux-8.1 < 0.4.0-1.module_el8.10.0+3799+191214cc
pkg:rpm/almalinux/ruby?arch=x86_64&distro=almalinux-8.1 < 3.3.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/ruby?arch=i686&distro=almalinux-8.1 < 3.3.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/ruby?arch=aarch64&distro=almalinux-8.1 < 3.3.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/ruby-libs?arch=x86_64&distro=almalinux-8.1 < 3.3.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/ruby-libs?arch=i686&distro=almalinux-8.1 < 3.3.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/ruby-libs?arch=aarch64&distro=almalinux-8.1 < 3.3.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/ruby-doc?arch=noarch&distro=almalinux-8.1 < 3.3.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/ruby-devel?arch=x86_64&distro=almalinux-8.1 < 3.3.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/ruby-devel?arch=i686&distro=almalinux-8.1 < 3.3.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/ruby-devel?arch=aarch64&distro=almalinux-8.1 < 3.3.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/ruby-default-gems?arch=noarch&distro=almalinux-8.1 < 3.3.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/ruby-bundled-gems?arch=x86_64&distro=almalinux-8.1 < 3.3.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/ruby-bundled-gems?arch=i686&distro=almalinux-8.1 < 3.3.1-2.module_el8.10.0+3855+767cb125
pkg:rpm/almalinux/ruby-bundled-gems?arch=aarch64&distro=almalinux-8.1 < 3.3.1-2.module_el8.10.0+3855+767cb125
Type Package URL Namespace Name / Product Version Distribution / Platform Arch Patch / Fix
Affected pkg:rpm/almalinux/rubygems?arch=noarch&distro=almalinux-8.1 almalinux rubygems < 3.5.9-2.module_el8.10.0+3855+767cb125 almalinux-8.1 noarch
Affected pkg:rpm/almalinux/rubygems-devel?arch=noarch&distro=almalinux-8.1 almalinux rubygems-devel < 3.5.9-2.module_el8.10.0+3855+767cb125 almalinux-8.1 noarch
Affected pkg:rpm/almalinux/rubygem-typeprof?arch=noarch&distro=almalinux-8.1 almalinux rubygem-typeprof < 0.21.9-2.module_el8.10.0+3855+767cb125 almalinux-8.1 noarch
Affected pkg:rpm/almalinux/rubygem-test-unit?arch=noarch&distro=almalinux-8.1 almalinux rubygem-test-unit < 3.6.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 noarch
Affected pkg:rpm/almalinux/rubygem-rss?arch=noarch&distro=almalinux-8.1 almalinux rubygem-rss < 0.3.0-2.module_el8.10.0+3855+767cb125 almalinux-8.1 noarch
Affected pkg:rpm/almalinux/rubygem-rexml?arch=noarch&distro=almalinux-8.1 almalinux rubygem-rexml < 3.2.6-2.module_el8.10.0+3855+767cb125 almalinux-8.1 noarch
Affected pkg:rpm/almalinux/rubygem-rdoc?arch=noarch&distro=almalinux-8.1 almalinux rubygem-rdoc < 6.6.3.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 noarch
Affected pkg:rpm/almalinux/rubygem-rbs?arch=x86_64&distro=almalinux-8.1 almalinux rubygem-rbs < 3.4.0-2.module_el8.10.0+3855+767cb125 almalinux-8.1 x86_64
Affected pkg:rpm/almalinux/rubygem-rbs?arch=i686&distro=almalinux-8.1 almalinux rubygem-rbs < 3.4.0-2.module_el8.10.0+3855+767cb125 almalinux-8.1 i686
Affected pkg:rpm/almalinux/rubygem-rbs?arch=aarch64&distro=almalinux-8.1 almalinux rubygem-rbs < 3.4.0-2.module_el8.10.0+3855+767cb125 almalinux-8.1 aarch64
Affected pkg:rpm/almalinux/rubygem-rake?arch=noarch&distro=almalinux-8.1 almalinux rubygem-rake < 13.1.0-2.module_el8.10.0+3855+767cb125 almalinux-8.1 noarch
Affected pkg:rpm/almalinux/rubygem-racc?arch=x86_64&distro=almalinux-8.1 almalinux rubygem-racc < 1.7.3-2.module_el8.10.0+3855+767cb125 almalinux-8.1 x86_64
Affected pkg:rpm/almalinux/rubygem-racc?arch=i686&distro=almalinux-8.1 almalinux rubygem-racc < 1.7.3-2.module_el8.10.0+3855+767cb125 almalinux-8.1 i686
Affected pkg:rpm/almalinux/rubygem-racc?arch=aarch64&distro=almalinux-8.1 almalinux rubygem-racc < 1.7.3-2.module_el8.10.0+3855+767cb125 almalinux-8.1 aarch64
Affected pkg:rpm/almalinux/rubygem-psych?arch=x86_64&distro=almalinux-8.1 almalinux rubygem-psych < 5.1.2-2.module_el8.10.0+3855+767cb125 almalinux-8.1 x86_64
Affected pkg:rpm/almalinux/rubygem-psych?arch=i686&distro=almalinux-8.1 almalinux rubygem-psych < 5.1.2-2.module_el8.10.0+3855+767cb125 almalinux-8.1 i686
Affected pkg:rpm/almalinux/rubygem-psych?arch=aarch64&distro=almalinux-8.1 almalinux rubygem-psych < 5.1.2-2.module_el8.10.0+3855+767cb125 almalinux-8.1 aarch64
Affected pkg:rpm/almalinux/rubygem-power_assert?arch=noarch&distro=almalinux-8.1 almalinux rubygem-power_assert < 2.0.3-2.module_el8.10.0+3855+767cb125 almalinux-8.1 noarch
Affected pkg:rpm/almalinux/rubygem-pg?arch=x86_64&distro=almalinux-8.1 almalinux rubygem-pg < 1.5.4-1.module_el8.10.0+3799+191214cc almalinux-8.1 x86_64
Affected pkg:rpm/almalinux/rubygem-pg?arch=aarch64&distro=almalinux-8.1 almalinux rubygem-pg < 1.5.4-1.module_el8.10.0+3799+191214cc almalinux-8.1 aarch64
Affected pkg:rpm/almalinux/rubygem-pg-doc?arch=noarch&distro=almalinux-8.1 almalinux rubygem-pg-doc < 1.5.4-1.module_el8.10.0+3799+191214cc almalinux-8.1 noarch
Affected pkg:rpm/almalinux/rubygem-mysql2?arch=x86_64&distro=almalinux-8.1 almalinux rubygem-mysql2 < 0.5.5-1.module_el8.10.0+3799+191214cc almalinux-8.1 x86_64
Affected pkg:rpm/almalinux/rubygem-mysql2?arch=aarch64&distro=almalinux-8.1 almalinux rubygem-mysql2 < 0.5.5-1.module_el8.10.0+3799+191214cc almalinux-8.1 aarch64
Affected pkg:rpm/almalinux/rubygem-mysql2-doc?arch=noarch&distro=almalinux-8.1 almalinux rubygem-mysql2-doc < 0.5.5-1.module_el8.10.0+3799+191214cc almalinux-8.1 noarch
Affected pkg:rpm/almalinux/rubygem-minitest?arch=noarch&distro=almalinux-8.1 almalinux rubygem-minitest < 5.20.0-2.module_el8.10.0+3855+767cb125 almalinux-8.1 noarch
Affected pkg:rpm/almalinux/rubygem-json?arch=x86_64&distro=almalinux-8.1 almalinux rubygem-json < 2.7.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 x86_64
Affected pkg:rpm/almalinux/rubygem-json?arch=i686&distro=almalinux-8.1 almalinux rubygem-json < 2.7.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 i686
Affected pkg:rpm/almalinux/rubygem-json?arch=aarch64&distro=almalinux-8.1 almalinux rubygem-json < 2.7.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 aarch64
Affected pkg:rpm/almalinux/rubygem-irb?arch=noarch&distro=almalinux-8.1 almalinux rubygem-irb < 1.11.0-2.module_el8.10.0+3855+767cb125 almalinux-8.1 noarch
Affected pkg:rpm/almalinux/rubygem-io-console?arch=x86_64&distro=almalinux-8.1 almalinux rubygem-io-console < 0.7.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 x86_64
Affected pkg:rpm/almalinux/rubygem-io-console?arch=i686&distro=almalinux-8.1 almalinux rubygem-io-console < 0.7.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 i686
Affected pkg:rpm/almalinux/rubygem-io-console?arch=aarch64&distro=almalinux-8.1 almalinux rubygem-io-console < 0.7.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 aarch64
Affected pkg:rpm/almalinux/rubygem-bundler?arch=noarch&distro=almalinux-8.1 almalinux rubygem-bundler < 2.5.9-2.module_el8.10.0+3855+767cb125 almalinux-8.1 noarch
Affected pkg:rpm/almalinux/rubygem-bigdecimal?arch=x86_64&distro=almalinux-8.1 almalinux rubygem-bigdecimal < 3.1.5-2.module_el8.10.0+3855+767cb125 almalinux-8.1 x86_64
Affected pkg:rpm/almalinux/rubygem-bigdecimal?arch=i686&distro=almalinux-8.1 almalinux rubygem-bigdecimal < 3.1.5-2.module_el8.10.0+3855+767cb125 almalinux-8.1 i686
Affected pkg:rpm/almalinux/rubygem-bigdecimal?arch=aarch64&distro=almalinux-8.1 almalinux rubygem-bigdecimal < 3.1.5-2.module_el8.10.0+3855+767cb125 almalinux-8.1 aarch64
Affected pkg:rpm/almalinux/rubygem-abrt?arch=noarch&distro=almalinux-8.1 almalinux rubygem-abrt < 0.4.0-1.module_el8.10.0+3799+191214cc almalinux-8.1 noarch
Affected pkg:rpm/almalinux/rubygem-abrt-doc?arch=noarch&distro=almalinux-8.1 almalinux rubygem-abrt-doc < 0.4.0-1.module_el8.10.0+3799+191214cc almalinux-8.1 noarch
Affected pkg:rpm/almalinux/ruby?arch=x86_64&distro=almalinux-8.1 almalinux ruby < 3.3.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 x86_64
Affected pkg:rpm/almalinux/ruby?arch=i686&distro=almalinux-8.1 almalinux ruby < 3.3.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 i686
Affected pkg:rpm/almalinux/ruby?arch=aarch64&distro=almalinux-8.1 almalinux ruby < 3.3.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 aarch64
Affected pkg:rpm/almalinux/ruby-libs?arch=x86_64&distro=almalinux-8.1 almalinux ruby-libs < 3.3.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 x86_64
Affected pkg:rpm/almalinux/ruby-libs?arch=i686&distro=almalinux-8.1 almalinux ruby-libs < 3.3.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 i686
Affected pkg:rpm/almalinux/ruby-libs?arch=aarch64&distro=almalinux-8.1 almalinux ruby-libs < 3.3.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 aarch64
Affected pkg:rpm/almalinux/ruby-doc?arch=noarch&distro=almalinux-8.1 almalinux ruby-doc < 3.3.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 noarch
Affected pkg:rpm/almalinux/ruby-devel?arch=x86_64&distro=almalinux-8.1 almalinux ruby-devel < 3.3.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 x86_64
Affected pkg:rpm/almalinux/ruby-devel?arch=i686&distro=almalinux-8.1 almalinux ruby-devel < 3.3.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 i686
Affected pkg:rpm/almalinux/ruby-devel?arch=aarch64&distro=almalinux-8.1 almalinux ruby-devel < 3.3.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 aarch64
Affected pkg:rpm/almalinux/ruby-default-gems?arch=noarch&distro=almalinux-8.1 almalinux ruby-default-gems < 3.3.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 noarch
Affected pkg:rpm/almalinux/ruby-bundled-gems?arch=x86_64&distro=almalinux-8.1 almalinux ruby-bundled-gems < 3.3.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 x86_64
Affected pkg:rpm/almalinux/ruby-bundled-gems?arch=i686&distro=almalinux-8.1 almalinux ruby-bundled-gems < 3.3.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 i686
Affected pkg:rpm/almalinux/ruby-bundled-gems?arch=aarch64&distro=almalinux-8.1 almalinux ruby-bundled-gems < 3.3.1-2.module_el8.10.0+3855+767cb125 almalinux-8.1 aarch64
# CVE Description CVSS EPSS EPSS Trend (30 days) Affected Products Weaknesses Security Advisories Exploits PoC Pubblication Date Modification Date
# CVE Description CVSS EPSS EPSS Trend (30 days) Affected Products Weaknesses Security Advisories PoC Pubblication Date Modification Date
Loading...